.hero-banner {
    position: relative;
    width: 100%;
    height: 500px;
    background-image: url('../assets/quoteheropic.png');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    margin-top: 0;
}

.hero-banner::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    user-select: none;
    pointer-events: none;
}

.hero-text {
    position: relative;
    z-index: 1;
    text-align: center;
    color: white;
    padding: 20px;
}

.hero-text h1 {
    font-size: 3.5rem;
    font-weight: bold;
    margin-bottom: 15px;
    text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.7);
    user-select: none;
    cursor: default;
}

.hero-text p {
    font-size: 1.5rem;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.7);
    text-align: center;
    user-select: none;
    cursor: default;
}

.calculate {
    text-align: center;
    margin: 0;
    background: #e5cf0b;
    color: wheat;
    font-weight: 20;
    padding: 20px 30px; 
    
    /* Glass effect */
    /* background: rgba(113, 57, 56, 0.15);
    border-radius: 20px;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2),
                0 2px 8px rgba(255, 255, 255, 0.1) inset;
    backdrop-filter: blur(15px) saturate(180%);
    -webkit-backdrop-filter: blur(15px) saturate(180%);
    border: 1.5px solid rgba(255, 255, 255, 0.4); */
    
    /* transition: all 0.3s ease;
    cursor: default; */
    user-select: none;
}

.calculate h1 {
    user-select: none;
    cursor: default;
}

/* .calculate:hover {
    background: rgba(175, 8, 6, 0.25);
    box-shadow: 0 12px 40px rgba(0, 0, 0, 0.3),
                0 2px 12px rgba(240, 8, 8, 0.15) inset;
    transform: translateY(-2px);
    border: 1.5px solid rgba(202, 118, 118, 0.6);
} */

@media (max-width: 768px) {
    .hero-banner {
        height: 350px;
    }

    .hero-text h1 {
        font-size: 2rem;
    }

    .hero-text p {
        font-size: 1.1rem;
        font-weight: bold;
    }

    .calculate h1 {
        font-size: 2rem;
    }
}